Subject: Re: [1.8.0] Provide proper remote ref namespaces

From: Johan Herland <[email-masked]>
Date: Tue, 08 Feb 2011 09:15:27 +0100

On Tuesday 08 February 2011, Dmitry Potapov wrote:
> On Mon, Feb 07, 2011 at 04:29:04AM +0100, Johan Herland wrote:
> > > So, IMHO, the proper solution should be ability to specify the
> > > desired namespace for any remote repository, like this:
> > > 
> > > remote.<name>.tagNameSpace = foo
> > 
> > Interesting. I'm not sure what "foo" means in this context. Would I use
> > it
> > 
> > like this?:
> >     remote.origin.tagNameSpace = refs/tags
> 
> I was not sure about the specific when I wrote this, so I just put "foo",
> but it could be something like you wrote above.
> 
> > (to place origin's tags in refs/tags/*)
> > 
> > If so, what's the difference between this option, and using this?:
> >     remote.origin.fetch = refs/tags/*:refs/tags/*
> 
> I have not tried that, but I suspect that it will cause that all tags
> will be fetched even if they are not belong to tracked branches, i.e.
> "git fetch" will work as "git fetch -t". But maybe I am wrong here.

Ah, yes, I should have been more specific:

    remote.origin.fetch = ~refs/tags/*:refs/tags/*

In my proposal, I suggest using a "~" prefix to signal auto-following 
behavior. This is needed in order to be able to explicitly specify the 
current fetch behavior in the configuration.

...Johan

-- 
Johan Herland, <[email-masked]>
www.herland.net